Bug 1399378 - Infrastructure provisioning template selection screen includes "Hide deprecated" checkbox and "Deprecated" column which only apply to cloud provisioning
Summary: Infrastructure provisioning template selection screen includes "Hide deprecat...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: GA
: 5.10.0
Assignee: Hilda Stastna
QA Contact: Ganesh Hubale
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-28 22:44 UTC by Greg McCullough
Modified: 2019-02-07 23:02 UTC (History)
6 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:02:18 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
VM Template table-view screenshot (96.74 KB, image/png)
2016-11-28 22:44 UTC, Greg McCullough
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:02:27 UTC

Description Greg McCullough 2016-11-28 22:44:25 UTC
Created attachment 1225503 [details]
VM Template table-view screenshot

Description of problem:
Infrastructure provisioning template selection screen includes "Hide deprecated" checkbox and "Deprecated" column which only apply to cloud provisioning

Version-Release number of selected component (if applicable): 5.7.0


Steps to Reproduce:
1. Navigate to Compute -> Infrastructure -> Virtual Machines
2. Select Lifecycle -> Provision VMs

Actual results:
VM Template table-view screen shows "Hide deprecated" checkbox and "Deprecated" column which was added for cloud (GCE specifically) and is not used by any infra providers.  (See attachment)

Expected results:
Unrelated fields are hidden.

Additional info:
The field is not inaccurate for the infra side since all templates show as "false" but these fields serve no purpose and therefore seem confusing.

New Checkbox added in PR https://github.com/ManageIQ/manageiq/pull/11896

Comment 2 Harpreet Kataria 2016-12-01 15:02:49 UTC
Hilda,

On pre provisioning screen we need to hide "Hide Deprecated" check-box when user is submitting a provisioning request for Infrastructure VM.
Currently default is set to hide deprecated templates here https://github.com/ManageIQ/manageiq/blob/master/app/controllers/application_controller/miq_request_methods.rb#L167 so need to set this to true only when provisioning cloud templates.

Should hide the check-box here https://github.com/ManageIQ/manageiq/blob/master/app/views/miq_request/_pre_prov.html.haml#L8
Also need to hide it from list of Templates here
https://github.com/ManageIQ/manageiq/blob/master/app/views/miq_request/_pre_prov.html.haml#L44-L45

and in a grid after a template is selected: 
https://github.com/ManageIQ/manageiq/blob/master/app/views/miq_request/_prov_vm_grid.html.haml#L55-L56
https://github.com/ManageIQ/manageiq/blob/master/app/views/miq_request/_prov_vm_grid.html.haml#L88-L89

No need to add in list of headers for Infrastructure provisioning https://github.com/ManageIQ/manageiq/blob/master/app/controllers/application_controller/miq_request_methods.rb#L412

Hopefully i got all the places covered, Let me know if you have questions.

Thanks,
~Harpreet

Comment 3 Hilda Stastna 2018-03-13 18:05:36 UTC
fixing https://github.com/ManageIQ/manageiq-ui-classic/pull/3615

Comment 8 errata-xmlrpc 2019-02-07 23:02:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.